connect to tlma%

update ADM.CONTROL set VALUE='7.5.0.16' WHERE NAME='DATABASE_VERSION'%

insert into
  lic.RES_CONF_KEY_REL
 select distinct
   TYPE, 
   CONF_KEY_ID,
   '7.5.0.16' as version,
   VALUE_RANGE_MAX,
   VALUE_RANGE_MIN
 from 
   lic.RES_CONF_KEY_REL
 where
   version in
     ('7.5.0.10','7.5.0.14','7.5.0.15')
   and not exists
     (select * from lic.RES_CONF_KEY_REL where version = '7.5.0.16')%
  
update ADM.CONTROL set VALUE='1970-01-01 01:00:00.000' WHERE NAME='LAST_INVENTORY_EXEC_TIME'%

update swcat.control set ctrl_value = '-1' 
 where 
   name = 'DATA_VERSION'
   and exists
     (select * from swcat.control where name='DATA_VERSION' and CTRL_VALUE='0')% 
  
create table tlmhw.san_adapter
(
   COMPUTER_SYS_ID bigint not null,
   INDEX bigint not null,
   ADAPTER_ID varchar(32) not null,
   DESCRIPTION varchar(255),
   VENDOR varchar(100),
   MODEL varchar(100),
   TYPE varchar(64),
   SERIAL varchar(100),
   SPEED varchar(50),
   STATE varchar(50),
   WWNN varchar(50),
   WWPN varchar(50),
   CREATE_TIME timestamp not null,
   UPDATE_TIME timestamp not null
)%

alter table tlmhw.san_adapter add primary key (COMPUTER_SYS_ID, INDEX, ADAPTER_ID)%

CREATE TRIGGER TLMHW.SAN_ADAPTER_TU1
	NO CASCADE BEFORE UPDATE ON TLMHW.SAN_ADAPTER
	REFERENCING  NEW AS NEWROW
	FOR EACH ROW MODE DB2SQL
SET NEWROW.UPDATE_TIME = current timestamp - current timezone%

CREATE TRIGGER TLMHW.SAN_ADAPTER_TI1 
	NO CASCADE BEFORE INSERT ON TLMHW.SAN_ADAPTER
	REFERENCING  NEW AS NEWROW
	FOR EACH ROW MODE DB2SQL
SET NEWROW.CREATE_TIME = current timestamp - current timezone,
NEWROW.UPDATE_TIME = current timestamp - current timezone%

grant select, insert, delete, update, alter, control on tlmhw.SAN_ADAPTER to user TLMSRV%
  
disconnect current%
