#!/bin/ksh
############################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5724-S94 IBM Tivoli Asset Discovery for Distributed
#
# (C) Copyright IBM Corp. 2011.
#
# All Rights Reserved. US Government Users Restricted Rights - Use,
# duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# For more detailed help, refer to product manual.
############################################################################ 

SCRIPT_DIR=`dirname $0`
JVM=java

if [ "$1" = "-javaHome" ] ; then
   JAVA_HOME=$2
fi  

if [ "${JAVA_HOME}" != "" ] ; then
   if [ -f "${JAVA_HOME}/bin/java" ] ; then
      JVM="${JAVA_HOME}/bin/java"
   elif [ -f "${JAVA_HOME}/jre/bin/java" ] ; then
      JVM="${JAVA_HOME}/jre/bin/java"
   fi
fi

$JVM -version > /dev/null 2>&1
if [ $? != 0 ]
then
print 'You must have java on path or...'
print 'Run this script like: update.sh -javaHome <path to java home>'
print 'Tip: If you have ILMT installed - check for java in <LMT>/_jvm or <LMT>/jre'
print '     If you have base WAS installed - check <WAS>/java'
fi

unset DISPLAY

$JVM -jar "${SCRIPT_DIR}/patchtool.jar" -home "${SCRIPT_DIR}/." -log "${SCRIPT_DIR}/log.txt"  $1 $2 $3 $4 $5 $6 $7 $8
